TestQualifier Class Reference

Visits a tree of Test while keeping track of the path taken from the root to the current node as a dot-separated string. More...

`#include <TestQualifier.h>`

Inheritance diagram for TestQualifier:

## Public Member Functions

virtual bool | visitEnter (TestSuite &suite)
| Returns true if the testSuite should be iterated through.
virtual bool | visitLeave (TestSuite &suite)
| Returns true if visiting of any other objects should continue after the testSuite has been visited.
const string & | getPath () const
| Returns the path taken from the root of the tree to the current node as a dot-separated string.
Public Member Functions inherited from TestVisitor
virtual | ~TestVisitor ()
virtual bool | visit (TestCase &testCase)
| Visits a testCase and returns true if visiting of any other objects should continue after the testSuite has been visited.
virtual bool | visit (TestSuite &testSuite)
| The default implementation calls visitEnter and visits the added objects in forward order if the return value is true.

## Private Attributes

string | _path

## Detailed Description

Visits a tree of Test while keeping track of the path taken from the root to the current node as a dot-separated string.

Definition at line 28 of file TestQualifier.h.

## Member Function Documentation

## getPath()

const string & TestQualifier::getPath | ( |  | ) | const

Returns the path taken from the root of the tree to the current node as a dot-separated string.

Definition at line 39 of file TestQualifier.cpp.

## visitEnter()

bool TestQualifier::visitEnter | ( | TestSuite & | testSuite | ) |

virtual

Returns true if the testSuite should be iterated through.

Is called before testSuite is processed in any other way, and if return value is false, the testSuite will not be iterated through, according to the default implemenation of visit(TestCase&). The default implementation always returns true.

Reimplemented from TestVisitor.

Definition at line 22 of file TestQualifier.cpp.

## visitLeave()

bool TestQualifier::visitLeave | ( | TestSuite & |  | ) |

virtual

Returns true if visiting of any other objects should continue after the testSuite has been visited.

Is called as last step of visiting testSuite, and the visiting process will stop if return value is false, according to the default implementation of visit(TestSuite&). The default implementation always returns true.

Reimplemented from TestVisitor.

Definition at line 30 of file TestQualifier.cpp.

## Member Data Documentation

## _path

string TestQualifier::_path

private

Definition at line 39 of file TestQualifier.h.

The documentation for this class was generated from the following files:

- src/test/TestQualifier.h
- src/test/TestQualifier.cpp